PHP 4 incompatible constructors

A place to report and discuss bugs - please mention CMSimple-version, server, platform and browser version
Post Reply
cmb
Posts: 13274
Joined: Tue Jun 21, 2011 11:04 am
Location: Mü-Sa, RLP, DE
Contact:

PHP 4 incompatible constructors

Post by cmb » Wed Sep 24, 2014 8:22 pm

Hello Community,

I've just noticed that the constructors of XH_Backup, XH_PluginMenu and XH_ClassicPluginMenu were named __construct, and so they won't be called under PHP 4. This causes no automatic backups to be created on logout, and might cause problems with a few plugins.

BTW: the bug exists since XH 1.6.2. Korvell had reported a related problem that was more severe; to my knowledge there have been no further reports regarding this issue. It seems that most of our users are finally running PHP 5.

As this is a bug, there is no need to vote, so I have already fixed it (r1389).

Christoph
Christoph M. Becker – Plugins for CMSimple_XH

Post Reply